
Infrastructure - Story #2000

Edits for API docs and implementations for consistency

2011-11-04 19:15 - Dave Vieglais

Status: Closed Start date: 2011-10-27

Priority: High Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.49-Block.6   

Story Points:    

Description

There are several areas where inconsistency is present in the documentation and implementations. For example, camelCase is used

in some locations, whereas lowercase is used in others.

This story contains an accumulation of known inconsistencies that should be resolved prior to final release.

By cataloging the necessary changes and performing them all at once across systems, we expect that thrashing while implementing

the changes (complete in some places but not others) will be minimized.

Subtasks:

Task # 1937: MNRead.listObjects() - Naming of startTime and endTime params. Closed

Task # 1935: URL query parameter names a mix of camelCase and all lowercase in docs Closed

Task # 2021: some methods take session object but don't throw InvalidToken Closed

Task # 2022: duplicate NotImplemented exception for listObjects methods Closed

Task # 2023: InsufficientResources usage Closed

Task # 2024: consider renaming getChecksumAlgorithms to listChecksumAlgorithms Closed

History

#1 - 2011-11-28 18:43 - Dave Vieglais

- Position changed from 1 to 319

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

- Position set to 1

#2 - 2011-12-06 14:43 - Dave Vieglais

- Position set to 7

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position deleted (320)

#3 - 2011-12-13 00:28 - Dave Vieglais

- Status changed from New to Closed
